'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AppFontsPrinter = require('./AppFontsPrinter.css');

var _AppFontsPrinter2 = _interopRequireDefault(_AppFontsPrinter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AppFontsPrinter = function (_React$Component) {
  _inherits(AppFontsPrinter, _React$Component);

  function AppFontsPrinter(props) {
    _classCallCheck(this, AppFontsPrinter);

    return _possibleConstructorReturn(this, (AppFontsPrinter.__proto__ || Object.getPrototypeOf(AppFontsPrinter)).call(this, props));
  }

  _createClass(AppFontsPrinter, [{
    key: 'render',
    value: function render() {
      var appFonts = this.props.appFonts;

      return _react2.default.createElement(
        'div',
        null,
        Object.keys(appFonts).map(function (appFontsKey, i) {
          return _react2.default.createElement(
            'div',
            { key: "font" + i },
            _react2.default.createElement(
              'div',
              null,
              appFontsKey
            ),
            _react2.default.createElement(
              'div',
              { style: { fontFamily: appFonts[appFontsKey] } },
              appFonts[appFontsKey]
            )
          );
        })
      );
    }
  }]);

  return AppFontsPrinter;
}(_react2.default.Component);

exports.default = AppFontsPrinter;

AppFontsPrinter.docs = {
  componentGroup: "Atom",
  testProps: {
    appFonts: require('../../appFonts.css')
  }
};