'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Image = require('../../atoms/Image/Image');

var _Image2 = _interopRequireDefault(_Image);

var _Text = require('../../atoms/Text/Text');

var _Text2 = _interopRequireDefault(_Text);

var _BrandLogo = require('./BrandLogo.css');

var _BrandLogo2 = _interopRequireDefault(_BrandLogo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BrandLogo = function (_React$Component) {
  _inherits(BrandLogo, _React$Component);

  function BrandLogo(props) {
    _classCallCheck(this, BrandLogo);

    return _possibleConstructorReturn(this, (BrandLogo.__proto__ || Object.getPrototypeOf(BrandLogo)).call(this, props));
  }

  _createClass(BrandLogo, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'a',
        { className: _BrandLogo2.default.link, href: this.props.link },
        _react2.default.createElement('img', { className: _BrandLogo2.default.logo, src: this.props.logo }),
        _react2.default.createElement(_Text2.default, { className: _BrandLogo2.default.name, name: this.props.name })
      );
    }
  }]);

  return BrandLogo;
}(_react2.default.Component);

exports.default = BrandLogo;

BrandLogo.docs = {
  componentGroup: "Molecules",
  testProps: {
    logo: "/docs/images/desklogo.png",
    name: "Zoho desk",
    link: ""
  }
};