'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FooterLogoLink = require('./FooterLogoLink.css');

var _FooterLogoLink2 = _interopRequireDefault(_FooterLogoLink);

var _Image = require('../../atoms/Image/Image');

var _Image2 = _interopRequireDefault(_Image);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FooterLogoLink = function (_React$Component) {
  _inherits(FooterLogoLink, _React$Component);

  function FooterLogoLink(props) {
    _classCallCheck(this, FooterLogoLink);

    return _possibleConstructorReturn(this, (FooterLogoLink.__proto__ || Object.getPrototypeOf(FooterLogoLink)).call(this, props));
  }

  _createClass(FooterLogoLink, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          href = _props.href,
          imgSrc = _props.imgSrc;

      return _react2.default.createElement(
        'a',
        { href: href, className: _FooterLogoLink2.default.footerLogoLink },
        _react2.default.createElement(_Image2.default, { src: imgSrc, alt: 'Hero Image', className: _FooterLogoLink2.default.footerLogoImg })
      );
    }
  }]);

  return FooterLogoLink;
}(_react2.default.Component);

exports.default = FooterLogoLink;


FooterLogoLink.docs = {
  componentGroup: "Molecules",
  testProps: {
    imgSrc: require("../../assert/images/logo-footer.svg")
  }
};