'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _MediaBlock = require('./MediaBlock.css');

var _MediaBlock2 = _interopRequireDefault(_MediaBlock);

var _Image = require('../../atoms/Image/Image');

var _Image2 = _interopRequireDefault(_Image);

var _fpo_square = require('../../assert/images/fpo_square.png');

var _fpo_square2 = _interopRequireDefault(_fpo_square);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MediaBlock = function (_React$Component) {
	_inherits(MediaBlock, _React$Component);

	function MediaBlock(props) {
		_classCallCheck(this, MediaBlock);

		return _possibleConstructorReturn(this, (MediaBlock.__proto__ || Object.getPrototypeOf(MediaBlock)).call(this, props));
	}

	_createClass(MediaBlock, [{
		key: 'render',
		value: function render() {
			var _props$type = this.props.type,
			    type = _props$type === undefined ? "" : _props$type;

			return _react2.default.createElement(
				'a',
				{ href: '#', className: type == "small" ? _MediaBlock2.default.blockMediaSmall : _MediaBlock2.default.blockMedia },
				_react2.default.createElement(
					'div',
					{ className: _MediaBlock2.default.blockMediaMedia },
					_react2.default.createElement(_Image2.default, { src: _fpo_square2.default, alt: 'Square Image', className: _MediaBlock2.default.blockMediaImg })
				),
				_react2.default.createElement(
					'div',
					{ className: _MediaBlock2.default.blockMediaBody },
					_react2.default.createElement(
						'h2',
						{ className: _MediaBlock2.default.blockMediaHeadline },
						'Lorem ipsum dolor sit (37 characters)'
					),
					_react2.default.createElement(
						'p',
						{ className: _MediaBlock2.default.blockMediaExcerpt },
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
					)
				)
			);
		}
	}]);

	return MediaBlock;
}(_react2.default.Component);

exports.default = MediaBlock;


MediaBlock.docs = {
	componentGroup: "Molecules",
	testProps: {
		name: "vimalesan"
	}
};