'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Tile = require('./Tile.css');

var _Tile2 = _interopRequireDefault(_Tile);

var _Progress = require('../../atoms/Progress/Progress');

var _Progress2 = _interopRequireDefault(_Progress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tile = function (_React$Component) {
  _inherits(Tile, _React$Component);

  function Tile(props) {
    _classCallCheck(this, Tile);

    return _possibleConstructorReturn(this, (Tile.__proto__ || Object.getPrototypeOf(Tile)).call(this, props));
  }

  _createClass(Tile, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'a',
        { href: '#', className: _Tile2.default.tile },
        _react2.default.createElement(_Progress2.default, null),
        _react2.default.createElement(
          'span',
          { className: _Tile2.default.tileValue },
          '12'
        ),
        _react2.default.createElement(
          'h2',
          { className: _Tile2.default.tileLabel },
          'Lorem ipsum dolor sit (37 characters)'
        )
      );
    }
  }]);

  return Tile;
}(_react2.default.Component);

exports.default = Tile;

Tile.docs = {
  componentGroup: "Molecules",
  testProps: {
    name: "vimalesan"
  }
};