"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Header = function (_React$Component) {
  _inherits(Header, _React$Component);

  function Header(props) {
    _classCallCheck(this, Header);

    return _possibleConstructorReturn(this, (Header.__proto__ || Object.getPrototypeOf(Header)).call(this, props));
  }

  _createClass(Header, [{
    key: "render",
    value: function render() {
      return _react2.default.createElement(
        "header",
        { className: "c-header", role: "banner" },
        _react2.default.createElement(
          "a",
          { href: "#", className: "c-logo-link" },
          _react2.default.createElement("img", { src: "../../images/logo.svg", className: "c-logo c-logo-link__img", alt: "HikeTracker" })
        ),
        _react2.default.createElement(
          "div",
          { className: "c-header__controls" },
          _react2.default.createElement(
            "a",
            { href: "#nav", className: "nav-toggle nav-toggle-menu icon-menu" },
            _react2.default.createElement(
              "span",
              { className: "is-vishidden" },
              "Menu"
            )
          ),
          _react2.default.createElement(
            "a",
            { href: "#search-form", className: "nav-toggle nav-toggle-search icon-search" },
            _react2.default.createElement(
              "span",
              { className: "is-vishidden" },
              "Search"
            )
          ),
          _react2.default.createElement(
            "nav",
            { id: "nav", className: "c-primary-nav" },
            _react2.default.createElement(
              "ul",
              { className: "c-primary-nav__list" },
              _react2.default.createElement(
                "li",
                { className: "c-primary-nav__item" },
                _react2.default.createElement(
                  "a",
                  { href: "../../patterns/04-pages-05-about/04-pages-05-about.html", className: "c-primary-nav__link" },
                  "About"
                )
              ),
              _react2.default.createElement(
                "li",
                { className: "c-primary-nav__item" },
                _react2.default.createElement(
                  "a",
                  { href: "../../patterns/04-pages-03-blog-index/04-pages-03-blog-index.html", className: "c-primary-nav__link" },
                  "Blog"
                )
              ),
              _react2.default.createElement(
                "li",
                { className: "c-primary-nav__item" },
                _react2.default.createElement(
                  "a",
                  { href: "../../patterns/04-pages-06-contact/04-pages-06-contact.html", className: "c-primary-nav__link" },
                  "Contact"
                )
              ),
              _react2.default.createElement(
                "li",
                { className: "c-primary-nav__item" },
                _react2.default.createElement(
                  "a",
                  { href: "../../patterns/04-pages-01-login/04-pages-01-login.html", className: "c-primary-nav__link" },
                  "Login"
                )
              )
            )
          ),
          _react2.default.createElement(
            "form",
            { method: "post", className: "c-search-form" },
            _react2.default.createElement(
              "label",
              { htmlFor: "search", className: "c-search-form__label is-vishidden" },
              "Search the site"
            ),
            _react2.default.createElement("input", { type: "search", id: "search", className: "c-search-form__input", placeholder: "Search the site" })
          )
        )
      );
    }
  }]);

  return Header;
}(_react2.default.Component);

exports.default = Header;

Header.docs = {
  componentGroup: "Organisms"
};