"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TileGrid = function (_React$Component) {
	_inherits(TileGrid, _React$Component);

	function TileGrid(props) {
		_classCallCheck(this, TileGrid);

		return _possibleConstructorReturn(this, (TileGrid.__proto__ || Object.getPrototypeOf(TileGrid)).call(this, props));
	}

	_createClass(TileGrid, [{
		key: "render",
		value: function render() {
			return _react2.default.createElement(
				"div",
				{ "class": "c-tile-grid" },
				_react2.default.createElement(
					"div",
					{ "class": "c-tile-grid__inner l" },
					_react2.default.createElement(
						"div",
						{ "class": "c-tile-grid__primary" },
						_react2.default.createElement(
							"a",
							{ href: "#", "class": "c-block-tile c-block-tile--" },
							_react2.default.createElement(
								"progress",
								{ "class": "c-progress", max: "100", value: "85" },
								_react2.default.createElement("strong", null)
							),
							"    ",
							_react2.default.createElement(
								"span",
								{ "class": "c-block-tile__value" },
								"12"
							),
							_react2.default.createElement(
								"h2",
								{ "class": "c-block-tile__label" },
								"Lorem ipsum dolor sit (37 characters)"
							)
						)
					),
					_react2.default.createElement(
						"div",
						{ "class": "c-tile-grid__secondary" },
						_react2.default.createElement(
							"ul",
							{ "class": "c-tile-list" },
							_react2.default.createElement(
								"li",
								{ "class": "c-tile-list__item" },
								_react2.default.createElement(
									"a",
									{ href: "#", "class": "c-block-tile c-block-tile--" },
									_react2.default.createElement(
										"progress",
										{ "class": "c-progress", max: "100", value: "85" },
										_react2.default.createElement("strong", null)
									),
									"      ",
									_react2.default.createElement(
										"span",
										{ "class": "c-block-tile__value" },
										"12"
									),
									_react2.default.createElement(
										"h2",
										{ "class": "c-block-tile__label" },
										"Lorem ipsum dolor sit (37 characters)"
									)
								)
							),
							_react2.default.createElement(
								"li",
								{ "class": "c-tile-list__item" },
								_react2.default.createElement(
									"a",
									{ href: "#", "class": "c-block-tile c-block-tile--" },
									_react2.default.createElement(
										"progress",
										{ "class": "c-progress", max: "100", value: "85" },
										_react2.default.createElement("strong", null)
									),
									"      ",
									_react2.default.createElement(
										"span",
										{ "class": "c-block-tile__value" },
										"12"
									),
									_react2.default.createElement(
										"h2",
										{ "class": "c-block-tile__label" },
										"Lorem ipsum dolor sit (37 characters)"
									)
								)
							),
							_react2.default.createElement(
								"li",
								{ "class": "c-tile-list__item" },
								_react2.default.createElement(
									"a",
									{ href: "#", "class": "c-block-tile c-block-tile--" },
									_react2.default.createElement(
										"progress",
										{ "class": "c-progress", max: "100", value: "85" },
										_react2.default.createElement("strong", null)
									),
									"      ",
									_react2.default.createElement(
										"span",
										{ "class": "c-block-tile__value" },
										"12"
									),
									_react2.default.createElement(
										"h2",
										{ "class": "c-block-tile__label" },
										"Lorem ipsum dolor sit (37 characters)"
									)
								)
							),
							_react2.default.createElement(
								"li",
								{ "class": "c-tile-list__item" },
								_react2.default.createElement(
									"a",
									{ href: "#", "class": "c-block-tile c-block-tile--" },
									_react2.default.createElement(
										"progress",
										{ "class": "c-progress", max: "100", value: "85" },
										_react2.default.createElement("strong", null)
									),
									"      ",
									_react2.default.createElement(
										"span",
										{ "class": "c-block-tile__value" },
										"12"
									),
									_react2.default.createElement(
										"h2",
										{ "class": "c-block-tile__label" },
										"Lorem ipsum dolor sit (37 characters)"
									)
								)
							)
						)
					)
				)
			);
		}
	}]);

	return TileGrid;
}(_react2.default.Component);

exports.default = TileGrid;

TileGrid.docs = {
	componentGroup: "Organisms"
};