import React from 'react';
import style from '../../form.css'

export default class CheckBox extends React.Component {

  constructor(props) {
    super(props);
    this.state={
    	checked:true
    }
    this.click=this.click.bind(this)
  }
  click(){
  	this.setState({checked:!this.state.checked});
  }
  render() {
    return (
        <input className={style.input} type="checkbox" checked={this.state.checked} onClick={this.click}/>
    );
  }
}

CheckBox.docs={
	componentGroup:"Atom"
}