import React from 'react';
import style from './AppColorsPrinter.css';

export default class AppColorsPrinter extends React.Component {
 
  constructor(props) {
    super(props);
  }

  render() {
  	var { appColors } = this.props;
    return (
    	<ul className={style.sgColors}>
    		{
    			Object.keys(appColors).map( (appColorsKey,i) => {
					return <li key={"colors"+i}>
						<span className={style.sgSwatch} style={{backgroundColor:appColors[appColorsKey]}}></span>
						<span className={style.sgLabel}>
							{appColorsKey} <br/>
							{appColors[appColorsKey]}
						</span>
					</li>
				})
    		}
		</ul>
    );
  }
}


AppColorsPrinter.docs={
	componentGroup:"Atom",
	testProps:{
		appColors:require('../appColors.css')
	}
}