import React from 'react';
import style from './AppFontsPrinter.css';

export default class AppFontsPrinter extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	var { appFonts } = this.props;
    return (
      <div>
      	{
          Object.keys(appFonts).map( (appFontsKey,i) => {
      		return <div key={"font"+i}>
      			<div>{appFontsKey}</div>
      			<div style={{fontFamily:appFonts[appFontsKey]}}>{appFonts[appFontsKey]}</div>
      		</div>
      	})
        }
      </div>
    );
  }
}
AppFontsPrinter.docs={
	componentGroup:"Atom",
	testProps:{
		appFonts:require('../../appFonts.css')
	}
}