import React from 'react';
import Image from '../../atoms/Image/Image';
import Text from '../../atoms/Text/Text'
import style from './BrandLogo.css';

export default class BrandLogo extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
    return (
      <a className={style.link} href={this.props.link}>
      	<img className={style.logo} src={this.props.logo}/>
      	<Text className={style.name} name={this.props.name}/>
      	
      </a>
    );
  }
}
BrandLogo.docs={
	componentGroup:"Molecules",
	testProps:{
		logo:"/docs/images/desklogo.png",
		name:"Zoho desk",
		link:""
	}
}