import React from 'react';
import style from './FooterLogoLink.css'

import Image from '../../atoms/Image/Image'

export default class FooterLogoLink extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	var { href,imgSrc } = this.props;
    return (
      	<a href={href} className={style.footerLogoLink}>
    			<Image src={imgSrc} alt="Hero Image" className={style.footerLogoImg} />
    		</a>
    );
  }
}

FooterLogoLink.docs={
  componentGroup:"Molecules",
  testProps:{
		imgSrc:require("../../assert/images/logo-footer.svg")
	}
}