import React from 'react';
import style from './LogoLink.css'

import Image from '../../atoms/Image/Image'

export default class LogoLink extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	var { href,imgSrc } = this.props;
    return (
      	<a href={href} className={style.logoLink}>
			<Image src={imgSrc} alt="Hero Image" className={style.logo} />
		</a>
    );
  }
}

LogoLink.docs={
  componentGroup:"Molecules",
  testProps:{
		imgSrc:require("../../assert/images/logo.svg")
	}
}