import React from 'react';
import style from './Overlay.css';

export default class Overlay extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	var { overlayText, overlayLink } = this.props;
    return (
      <div className={style.overlay}>
		<p className={style.overlayIntro}>
			{overlayText}
		</p>
		<a href="#" className={style.btnOverlay}>{overlayLink}</a>
	</div>
    );
  }
}
Overlay.docs={
	componentGroup:"Molecules",
	testProps:{
		overlayLink:"vimalesan",
		overlayText:"overlayText"
	}
}