import React from 'react';

export default class Header extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
    return (
      <header className="c-header" role="banner">
        <a href="#" className="c-logo-link">
          <img src="../../images/logo.svg" className="c-logo c-logo-link__img" alt="HikeTracker" />
        </a>
        <div className="c-header__controls">
          <a href="#nav" className="nav-toggle nav-toggle-menu icon-menu"><span className="is-vishidden">Menu</span></a>
          <a href="#search-form" className="nav-toggle nav-toggle-search icon-search"><span className="is-vishidden">Search</span></a>
          <nav id="nav" className="c-primary-nav">
            <ul className="c-primary-nav__list">
              <li className="c-primary-nav__item"><a href="../../patterns/04-pages-05-about/04-pages-05-about.html" className="c-primary-nav__link">About</a></li>
              <li className="c-primary-nav__item"><a href="../../patterns/04-pages-03-blog-index/04-pages-03-blog-index.html" className="c-primary-nav__link">Blog</a></li>
              <li className="c-primary-nav__item"><a href="../../patterns/04-pages-06-contact/04-pages-06-contact.html" className="c-primary-nav__link">Contact</a></li>
              <li className="c-primary-nav__item"><a href="../../patterns/04-pages-01-login/04-pages-01-login.html" className="c-primary-nav__link">Login</a></li>
            </ul>
          </nav>
          <form method="post" className="c-search-form">
            <label htmlFor="search" className="c-search-form__label is-vishidden">Search the site</label>
            <input type="search" id="search" className="c-search-form__input" placeholder="Search the site" />
          </form>
        </div>
      </header>

    );
  }
}
Header.docs={
  componentGroup:"Organisms"
}
