'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Icon__List = require('./Icon__List.css');

var _Icon__List2 = _interopRequireDefault(_Icon__List);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Icon__List = function (_React$Component) {
  _inherits(Icon__List, _React$Component);

  function Icon__List(props) {
    _classCallCheck(this, Icon__List);

    return _possibleConstructorReturn(this, (Icon__List.__proto__ || Object.getPrototypeOf(Icon__List)).call(this, props));
  }

  _createClass(Icon__List, [{
    key: 'render',
    value: function render() {
      var _props$icons = this.props.icons,
          icons = _props$icons === undefined ? [] : _props$icons;

      return _react2.default.createElement(
        'ul',
        null,
        icons.map(function (icon, i) {
          return _react2.default.createElement(
            'li',
            { key: "icon" + i },
            _react2.default.createElement(_Icon2.default, { type: icon })
          );
        })
      );
    }
  }]);

  return Icon__List;
}(_react2.default.Component);

exports.default = Icon__List;


Icon__List.docs = {
  componentGroup: "Atom",
  testProps: {
    icons: ["dashboard", "phone", "others"]
  }
};