'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AppColorsPrinter = require('./AppColorsPrinter.css');

var _AppColorsPrinter2 = _interopRequireDefault(_AppColorsPrinter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AppColorsPrinter = function (_React$Component) {
  _inherits(AppColorsPrinter, _React$Component);

  function AppColorsPrinter(props) {
    _classCallCheck(this, AppColorsPrinter);

    return _possibleConstructorReturn(this, (AppColorsPrinter.__proto__ || Object.getPrototypeOf(AppColorsPrinter)).call(this, props));
  }

  _createClass(AppColorsPrinter, [{
    key: 'render',
    value: function render() {
      var appColors = this.props.appColors;

      return _react2.default.createElement(
        'ul',
        { className: _AppColorsPrinter2.default.sgColors },
        Object.keys(appColors).map(function (appColorsKey, i) {
          return _react2.default.createElement(
            'li',
            { key: "colors" + i },
            _react2.default.createElement('span', { className: _AppColorsPrinter2.default.sgSwatch, style: { backgroundColor: appColors[appColorsKey] } }),
            _react2.default.createElement(
              'span',
              { className: _AppColorsPrinter2.default.sgLabel },
              appColorsKey,
              ' ',
              _react2.default.createElement('br', null),
              appColors[appColorsKey]
            )
          );
        })
      );
    }
  }]);

  return AppColorsPrinter;
}(_react2.default.Component);

exports.default = AppColorsPrinter;


AppColorsPrinter.docs = {
  componentGroup: "Atom",
  testProps: {
    appColors: require('../appColors.css')
  }
};