'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Footer = require('./Footer.css');

var _Footer2 = _interopRequireDefault(_Footer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Footer = function (_React$Component) {
  _inherits(Footer, _React$Component);

  function Footer(props) {
    _classCallCheck(this, Footer);

    return _possibleConstructorReturn(this, (Footer.__proto__ || Object.getPrototypeOf(Footer)).call(this, props));
  }

  _createClass(Footer, [{
    key: 'render',
    value: function render() {
      var imgSrc = this.props.imgSrc;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'footer',
          { className: _Footer2.default.footer, role: 'contentinfo' },
          _react2.default.createElement(
            'div',
            { className: 'l' },
            _react2.default.createElement(
              'a',
              { href: '#', className: 'c-logo-footer-link' },
              _react2.default.createElement('img', { src: imgSrc, className: 'c-logo c-logo-footer-link__img', alt: 'HikeTracker' })
            ),
            _react2.default.createElement(
              'nav',
              { className: 'c-footer-nav' },
              _react2.default.createElement(
                'ul',
                { className: 'c-footer-nav__list' },
                _react2.default.createElement(
                  'li',
                  { className: 'c-footer-nav__item' },
                  _react2.default.createElement(
                    'a',
                    { href: '../../patterns/04-pages-05-about/04-pages-05-about.html', className: 'c-footer-nav__link' },
                    'About'
                  )
                ),
                _react2.default.createElement(
                  'li',
                  { className: 'c-footer-nav__item' },
                  _react2.default.createElement(
                    'a',
                    { href: '../../patterns/04-pages-03-blog-index/04-pages-03-blog-index.html', className: 'c-footer-nav__link' },
                    'Blog'
                  )
                ),
                _react2.default.createElement(
                  'li',
                  { className: 'c-footer-nav__item' },
                  _react2.default.createElement(
                    'a',
                    { href: '../../patterns/04-pages-06-contact/04-pages-06-contact.html', className: 'c-footer-nav__link' },
                    'Contact'
                  )
                ),
                _react2.default.createElement(
                  'li',
                  { className: 'c-footer-nav__item' },
                  _react2.default.createElement(
                    'a',
                    { href: '../../patterns/04-pages-01-login/04-pages-01-login.html', className: 'c-footer-nav__link' },
                    'Login'
                  )
                )
              )
            ),
            _react2.default.createElement(
              'p',
              { className: _Footer2.default.footerInfo },
              'This is a demonstration of what\'s possible with ',
              _react2.default.createElement(
                'a',
                { href: 'http://patternlab.io', rel: 'external' },
                'Pattern Lab'
              ),
              '. ',
              _react2.default.createElement(
                'a',
                { href: 'http://patternlab.io/download.html' },
                'Download Pattern Lab'
              ),
              ', check out the ',
              _react2.default.createElement(
                'a',
                { href: 'http://patternlab.io/docs/' },
                'documentation'
              ),
              ', or learn more about ',
              _react2.default.createElement(
                'a',
                { href: 'http://atomicdesign.bradfrost.com/' },
                'atomic design'
              ),
              '.'
            ),
            _react2.default.createElement(
              'p',
              { className: 'copyright' },
              '\xA9 2016 HikeTracker. All rights reserved.'
            )
          )
        ),
        'HikeTracker About Blog Contact'
      );
    }
  }]);

  return Footer;
}(_react2.default.Component);

exports.default = Footer;

Footer.docs = {
  componentGroup: "Organisms",
  testProps: {
    imgSrc: require("../../assert/images/logo-footer.svg")
  }
};