"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MediaListSection = function (_React$Component) {
  _inherits(MediaListSection, _React$Component);

  function MediaListSection(props) {
    _classCallCheck(this, MediaListSection);

    return _possibleConstructorReturn(this, (MediaListSection.__proto__ || Object.getPrototypeOf(MediaListSection)).call(this, props));
  }

  _createClass(MediaListSection, [{
    key: "render",
    value: function render() {
      return _react2.default.createElement(
        "section",
        { className: "c-section" },
        _react2.default.createElement(
          "h2",
          { className: "c-section__title" },
          "Section Title"
        ),
        _react2.default.createElement(
          "ul",
          { className: "c-media-list" },
          _react2.default.createElement(
            "li",
            { className: "c-media-list__item" },
            _react2.default.createElement(
              "a",
              { href: "#", className: "c-block-media c-block-media--" },
              _react2.default.createElement(
                "div",
                { className: "c-block-media__media" },
                _react2.default.createElement("img", { src: "../../images/fpo_square.png", alt: "Square Image", className: "c-block-media__img" })
              ),
              _react2.default.createElement(
                "div",
                { className: "c-block-media__body" },
                _react2.default.createElement(
                  "h2",
                  { className: "c-block-media__headline" },
                  "Lorem ipsum dolor sit (37 characters)"
                ),
                _react2.default.createElement(
                  "p",
                  { className: "c-block-media__excerpt" },
                  "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
                )
              )
            )
          ),
          _react2.default.createElement(
            "li",
            { className: "c-media-list__item" },
            _react2.default.createElement(
              "a",
              { href: "#", className: "c-block-media c-block-media--" },
              _react2.default.createElement(
                "div",
                { className: "c-block-media__media" },
                _react2.default.createElement("img", { src: "../../images/fpo_square.png", alt: "Square Image", className: "c-block-media__img" })
              ),
              _react2.default.createElement(
                "div",
                { className: "c-block-media__body" },
                _react2.default.createElement(
                  "h2",
                  { className: "c-block-media__headline" },
                  "Lorem ipsum dolor sit (37 characters)"
                ),
                _react2.default.createElement(
                  "p",
                  { className: "c-block-media__excerpt" },
                  "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
                )
              )
            )
          ),
          _react2.default.createElement(
            "li",
            { className: "c-media-list__item" },
            _react2.default.createElement(
              "a",
              { href: "#", className: "c-block-media c-block-media--" },
              _react2.default.createElement(
                "div",
                { className: "c-block-media__media" },
                _react2.default.createElement("img", { src: "../../images/fpo_square.png", alt: "Square Image", className: "c-block-media__img" })
              ),
              _react2.default.createElement(
                "div",
                { className: "c-block-media__body" },
                _react2.default.createElement(
                  "h2",
                  { className: "c-block-media__headline" },
                  "Lorem ipsum dolor sit (37 characters)"
                ),
                _react2.default.createElement(
                  "p",
                  { className: "c-block-media__excerpt" },
                  "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
                )
              )
            )
          )
        ),
        _react2.default.createElement(
          "a",
          { href: true, className: "c-text-btn " },
          "Button"
        )
      );
    }
  }]);

  return MediaListSection;
}(_react2.default.Component);

exports.default = MediaListSection;

MediaListSection.docs = {
  componentGroup: "Organisms"
};