"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var StackedForm = function (_React$Component) {
  _inherits(StackedForm, _React$Component);

  function StackedForm(props) {
    _classCallCheck(this, StackedForm);

    return _possibleConstructorReturn(this, (StackedForm.__proto__ || Object.getPrototypeOf(StackedForm)).call(this, props));
  }

  _createClass(StackedForm, [{
    key: "render",
    value: function render() {
      return _react2.default.createElement(
        "form",
        { className: "c-form c-form--stacked", method: "post", action: "../../patterns/04-pages-02-dashboard/04-pages-02-dashboard.html" },
        _react2.default.createElement(
          "div",
          { className: "c-field" },
          _react2.default.createElement(
            "label",
            { htmlFor: "field-id", className: "c-field__label" },
            "label"
          ),
          _react2.default.createElement("input", { id: "field-id", type: "text", placeholder: "Placeholder", defaultValue: true })
        ),
        _react2.default.createElement(
          "div",
          { className: "c-field" },
          _react2.default.createElement(
            "label",
            { htmlFor: "field-id", className: "c-field__label" },
            "label"
          ),
          _react2.default.createElement("input", { id: "field-id", type: "text", placeholder: "Placeholder", defaultValue: true })
        ),
        _react2.default.createElement(
          "div",
          { className: "c-textarea" },
          _react2.default.createElement(
            "label",
            { htmlFor: true, className: "c-textarea__label" },
            "label"
          ),
          _react2.default.createElement("textarea", { id: true, rows: 10, className: "c-textarea__text", defaultValue: "" })
        ),
        _react2.default.createElement(
          "div",
          { className: "c-form__actions" },
          _react2.default.createElement(
            "button",
            { className: "c-btn " },
            "Button"
          )
        )
      );
    }
  }]);

  return StackedForm;
}(_react2.default.Component);

exports.default = StackedForm;


StackedForm.docs = {
  componentGroup: "Organisms"
};