import React from 'react';
import Icon from '../Icon'
import style from './Icon__List.css';

export default class Icon__List extends React.Component {
 
  constructor(props) {
    super(props);
  }

  render() {
  	var { icons=[] } = this.props;
    return (
    	<ul>
    		{
    			icons.map( (icon,i) => {
					return <li key={"icon"+i}>
						<Icon type={icon}/>
					</li>
				})
    		}
		</ul>
    );
  }
}


Icon__List.docs={
	componentGroup:"Atom",
	testProps:{
		icons:["dashboard","phone","others"]
	}
}