import React from 'react';
import style from './Alert.css';

export default class Alert extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	var { alertText } = this.props;
    return (
      <div className={style.info}>
		{ alertText }
	</div>

    );
  }
}
Alert.docs={
	componentGroup:"Molecules",
	testProps:{
		alertText:"An alert is messaging that tells the user some information. Alerts can be error, warning, success, or info messages"
	}

}