import React from 'react';
import style from './MediaBlock.css';
import Image from '../../atoms/Image/Image'
import file from '../../assert/images/fpo_square.png';
export default class MediaBlock extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	const {type=""}=this.props
    return (
      <a href="#" className={type=="small"?style.blockMediaSmall:style.blockMedia}>
		<div className={style.blockMediaMedia}>
			<Image src={file} alt="Square Image" className={style.blockMediaImg} />
		</div>
		<div className={style.blockMediaBody}>
			<h2 className={style.blockMediaHeadline}>Lorem ipsum dolor sit (37 characters)</h2>
			<p className={style.blockMediaExcerpt}>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
		</div>
	</a>

    );
  }
}

MediaBlock.docs={
	componentGroup:"Molecules",
	testProps:{
		name:"vimalesan"
	}
}