import React from 'react';
import style from './Footer.css';

export default class Footer extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
    var { imgSrc } = this.props;
    return (
      <div>
        <footer className={style.footer} role="contentinfo">
          <div className="l">
            <a href="#" className="c-logo-footer-link">
              <img src={imgSrc} className="c-logo c-logo-footer-link__img" alt="HikeTracker" />
            </a>
            <nav className="c-footer-nav">
              <ul className="c-footer-nav__list">
                <li className="c-footer-nav__item"><a href="../../patterns/04-pages-05-about/04-pages-05-about.html" className="c-footer-nav__link">About</a></li>
                <li className="c-footer-nav__item"><a href="../../patterns/04-pages-03-blog-index/04-pages-03-blog-index.html" className="c-footer-nav__link">Blog</a></li>
                <li className="c-footer-nav__item"><a href="../../patterns/04-pages-06-contact/04-pages-06-contact.html" className="c-footer-nav__link">Contact</a></li>
                <li className="c-footer-nav__item"><a href="../../patterns/04-pages-01-login/04-pages-01-login.html" className="c-footer-nav__link">Login</a></li>
              </ul>
            </nav>		
            <p className={style.footerInfo}>This is a demonstration of what's possible with <a href="http://patternlab.io" rel="external">Pattern Lab</a>. <a href="http://patternlab.io/download.html">Download Pattern Lab</a>, check out the <a href="http://patternlab.io/docs/">documentation</a>, or learn more about <a href="http://atomicdesign.bradfrost.com/">atomic design</a>.</p>
            <p className="copyright">© 2016 HikeTracker. All rights reserved.</p>
          </div>
        </footer>
        HikeTracker
        About
        Blog
        Contact
      </div>


    );
  }
}
Footer.docs={
	componentGroup:"Organisms",
  testProps:{
    imgSrc:require("../../assert/images/logo-footer.svg")
  }
}
